Bob Mottram 10 年前
父节点
当前提交
2be0611b4e

+ 11
- 2
src/freedombone-addcert 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 # A script for creating self-signed certificates on Debian
3 12
 
4 13
 # License
@@ -41,7 +50,7 @@ function show_help {
41 50
     echo '  -o --organisation [name]   Optional organisation name'
42 51
     echo '  -u --unit [name]           Optional unit name'
43 52
     echo ''
44
-	exit 0
53
+    exit 0
45 54
 }
46 55
 
47 56
 while [[ $# > 1 ]]
@@ -85,7 +94,7 @@ done
85 94
 
86 95
 if [ ! $HOSTNAME ]; then
87 96
     echo 'No hostname specified'
88
-	exit 5748
97
+    exit 5748
89 98
 fi
90 99
 
91 100
 if ! which openssl > /dev/null ;then

+ 10
- 1
src/freedombone-addemail 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Adds an email address rule to the email configuration
4 13
 
@@ -28,7 +37,7 @@ function show_help {
28 37
     echo ''
29 38
     echo 'freedombone-addemail -u [username] -e [email address] -l [mailing list name]'
30 39
     echo ''
31
-	exit 0
40
+    exit 0
32 41
 }
33 42
 
34 43
 while [[ $# > 1 ]]

+ 10
- 1
src/freedombone-addlist 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Adds a mailing list to the email configuration
4 13
 
@@ -28,7 +37,7 @@ function show_help {
28 37
     echo ''
29 38
     echo 'freedombone-addlist -u [username] -l [mailing list name] -s [subject tag]'
30 39
     echo ''
31
-	exit 0
40
+    exit 0
32 41
 }
33 42
 
34 43
 while [[ $# > 1 ]]

+ 11
- 2
src/freedombone-ignore 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Adds an email ignore rule for either an email address
4 13
 # or text in the subject line
@@ -29,7 +38,7 @@ function show_help {
29 38
     echo ''
30 39
     echo 'freedombone-ignore -u [username] -e [mail address] -t [text in subject line]'
31 40
     echo ''
32
-	exit 0
41
+    exit 0
33 42
 }
34 43
 
35 44
 while [[ $# > 1 ]]
@@ -62,7 +71,7 @@ done
62 71
 if ! [[ $MYUSERNAME && $EMAIL_ADDRESS ]]; then
63 72
     if ! [[ $MYUSERNAME && $SUBJECT_TEXT ]]; then
64 73
         show_help
65
-	fi
74
+    fi
66 75
 fi
67 76
 
68 77
 MUTTRC=/home/$MYUSERNAME/.muttrc

+ 9
- 0
src/freedombone-prep 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 # This script installs the Debian image to the microSD card, and should
3 12
 # be run on your laptop/desktop with the microSD card plugged in.
4 13
 

+ 9
- 0
src/freedombone-renew-cert 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 # A script for renewing SSL/TLS certificates
3 12
 
4 13
 # License

+ 9
- 0
src/freedombone-rmemail 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Removes an email address rule from the email configuration
4 13
 

+ 9
- 0
src/freedombone-rmlist 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Removes a mailing list to the email configuration
4 13
 

+ 9
- 0
src/freedombone-unignore 查看文件

@@ -1,4 +1,13 @@
1 1
 #!/bin/bash
2
+#
3
+# .---.                  .              .
4
+# |                      |              |
5
+# |--- .--. .-.  .-.  .-.|  .-. .--.--. |.-.  .-. .--.  .-.
6
+# |    |   (.-' (.-' (   | (   )|  |  | |   )(   )|  | (.-'
7
+# '    '     --'  --'  -' -  -' '  '   -' -'   -' '   -  --'
8
+#
9
+#                    Freedom in the Cloud
10
+#
2 11
 
3 12
 # Removes an ignore rule for either an email address
4 13
 # or text in the subject line